# Check WhatsApp Number

## Check WhatsApp Number

<mark style="color:blue;">`GET`</mark> `https://api.wapim.io/api/v1/whatsapp/checkwhatsapp`

#### Query Parameters

| Name                                        | Type   | Description  |
| ------------------------------------------- | ------ | ------------ |
| phone\_id<mark style="color:red;">\*</mark> | String | Phone Number |

#### Headers

| Name                                    | Type | Description        |
| --------------------------------------- | ---- | ------------------ |
| Token<mark style="color:red;">\*</mark> |      | YOUR\_WAPIM\_TOKEN |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "status": true,
    "code": 200,
    "data": [
        {
            "query": "14155238886",
            "jid": "14155238886@s.whatsapp.net",
            "is_in": true,
            "verified_name": {
                "details": {
                    "serial": 1636113984786390,
                    "issuer": "ent:wa",
                    "verifiedName": "Twilio",
                    "issueTime": 1532990631
                }
            }
        }
    ]
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="cURL" %}

```bash
curl
    -X GET https://api.wapim.io/api/v1/whatsapp/checkwhatsapp?phone_id=14155238886
    -H 'Token: YOUR_WAPIM_TOKEN'
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

const isExistPhoneID = "14155238886"
axios
  .get(
    'https://api.wapim.io/api/v1/whatsapp/checkwhatsapp?phone_id=' + isExistPhoneID,
    {
     headers: {
      token: 'YOUR_WAPIM_TOKEN',
     }
    }
  )
  .then(response => console.log(response.data))
  .catch(error => console.log(error.response.data))
```

{% endtab %}
{% endtabs %}
